amiga-news DEUTSCHE VERSION
.
Links| Forums| Comments| Report news
.
Chat| Polls| Newsticker| Archive
.

[Login] [Register] [Forgot your password??]

< Next messagePrior message >
19.Jul.2021
Andreas Falkenhahn (ANF)


Hollywood-Plugin: RapaGUI 2.0 released

Press release: After almost 4 years of development Airsoft Softwair, the hardest working men in code business, are proud to announce the long awaited release of RapaGUI 2.0. RapaGUI is the cross-platform GUI toolkit for Hollywood that allows you to create GUIs with native widgets for AmigaOS, Windows, macOS, Linux, and Android. GUI layouts in RapaGUI are conveniently defined in XML files which are then converted into full-blown GUIs by RapaGUI on-the-fly. It just doesn't get any easier!

RapaGUI 2.0 is a major update with lots of new features, improvements and bug fixes. Here is a non-exhaustive list of new features in RapaGUI 2.0:
  • support for Android!
  • high-DPI monitors are now supported
  • support for GTK3 on Linux
  • core event handler completely rewritten
  • convenient internationalization (i18n) support
  • inter-process communication is now supported
  • online help support
  • dark mode support
  • different fonts and font styles are now supported
  • new Splitter, Finddialog and Hyperlink classes
  • many new features for existing classes
  • support for several new Hollywood 9 features
  • over 50 pages of new documentation
  • lots of other improvements and bug fixes
RapaGUI 2.0 is now available for free download from the official Hollywood portal. Thanks to Hollywood's cross-platform plugin system versions for AmigaOS3 (m68k), AmigaOS 4, MorphOS, Linux (ppc, arm, x86, x64), macOS (ppc, x64) and Windows (x86, x64) are provided. RapaGUI comes with almost 350 pages of documentation in various formats like PDF, HTML, AmigaGuide, and CHM that describe the GUI programming basics in detail and provide a convenient function and class reference.

Note that Hollywood 9 is strictly required by RapaGUI 2.0. It won't work with older Hollywood versions. Also note that there are a few minor incompatibilities between RapaGUI 2.0 and 1.x so it might be necessary to adapt your scripts. See the documentation for details.

Screenshots:
(dr)

[News message: 19. Jul. 2021, 06:52] [Comments: 0]
[Send via e-mail]  [Print version]  [ASCII version]
< Next messagePrior message >

.
Masthead | Privacy policy | Netiquette | Advertising | Contact
Copyright © 1998-2021 by amiga-news.de - all rights reserved.
.